### Method

# Gtk Snapshotappend_texture

#### Declaration [src]

    void
    gtk_snapshot_append_texture (
      GtkSnapshot* snapshot,
      GdkTexture* texture,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a new render node drawing the `texture` into the given `bounds` and appends it to the current render node of `snapshot`.

If the texture needs to be scaled to fill `bounds`, linear filtering is used. See `gtk_snapshot_append_scaled_texture()` if you need other filtering, such as nearest-neighbour.

#### Parameters

`texture`

  Type: `GdkTexture`

  The texture to render.

  The data is owned by the caller of the method.

`bounds`

  Type: `graphene_rect_t`

  The bounds for the new node.

  The data is owned by the caller of the method.